.linethrough {
  text-decoration: line-through;
}

.table-holder{
  overflow-y: scroll;
}

.special {
  color: #fb523d;
  transition: 0.3s;
}

.filter {
  display: none;
}

.large-icon i {
  font-size: 38px;
  line-height: 0;
  color: var(--accent-color);
}

.icon-button {
  margin: 0px;
  width: 30px !important;
  height: 30px !important;
  background: var(--accent-color);
  color: white;
  border-radius: 50%;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
  transition: 0.3s;
  transform-style: preserve-3d;
}

.icon-button:hover {
  background-color: color-mix(in srgb, var(--accent-color), transparent 50%);
  height: 10px;
}

.btn-primary,
.btn-primary:focus {
  color: var(--contrast-color);
  background: var(--accent-color);
  font-size: 14px;
  padding: 8px 26px;
  margin: 0;
  border-radius: 4px;
  transition: 0.3s;
  border: none;
}

.btn-primary:hover,
.btn-primary:focus:hover {
  color: var(--contrast-color);
  background: color-mix(in srgb, var(--accent-color), transparent 15%);
}

.btn-secondary,
.btn-secondary:focus {
  color: var(--accent-color) !important;
  border: 1px solid var(--accent-color) !important;
  background: white !important;
}

.btn-secondary:hover,
.btn-secondary:focus:hover {
  background: color-mix(in srgb, var(--accent-color), transparent 95%) !important;
}

.row-simple {
  width: 100%;
}

.row-simple>* {
  display: inline-block;
}

.centre {
  text-align: center;
  align-items: center !important;
  justify-content: center !important;
}

.session-buttons {
  order: 2;
  margin: 0 5px 0 0;
}

.scrolled .header {
  background-image: url("assets/img/logo/pattern\ dark.png");
  background-repeat: no-repeat;
}

.btn-session {
  position:  relative;
}

.header .btn-session,
.header .btn-session:focus {
  color: var(--contrast-color);
  background: var(--accent-color);
  width: 26px;
  height: 26px;
  padding: 0px;
  border-radius: 13px;
  transition: 0.3s;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 10px;
  line-height: 26px !important;
  transition: 0.3s;
}

.index-page.scrolled .header .btn-session,
.index-page.scrolled .header .btn-session:focus {
  background: var(--bright-color);
}

.btn-session.active {
  color: var(--contrast-color);
  background: var(--accent-color);
  width: 26px;
  height: 26px;
  padding: 0px;
  border-radius: 13px;
  transition: 0.3s;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 10px;
  line-height: 26px !important;
  transition: 0.3s;
  cursor: pointer;
}

.btn-session.active:hover{
  color: var(--contrast-color);
  opacity: 0.7;
}

.btn-session.active.selected{
  background: var(--bright-color);
}

.card {
  background-color: var(--surface-color);
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.1);
}

.btn {
  background: var(--accent-color);
  color: var(--contrast-color);
  border: 0;
  padding: 10px 30px;
  transition: 0.4s;
  border-radius: 4px;
}

.btn:hover {
  background: color-mix(in srgb, var(--accent-color), transparent 20%);
}

.radio-option {
  background-color: color-mix(in srgb, var(--accent-color), transparent 95%) !important;
  border: 1px solid var(--accent-color);
  color: var(--accent-color);
  font-size: 14px;
  padding: 8px 8px;
  margin: 0;
  border-radius: 4px;
  transition: 0.3s;
}

.btn-radio {
  background-color: #ffffff;
  border: 1px solid var(--accent-color);
  color: var(--accent-color);
}

.btn-active {
  background-color: color-mix(in srgb, var(--accent-color), transparent 20%) !important;
  color: #ffffff;
}

.full {
  width: 100%;
}

.btn-session>i::before {
  line-height: 26px !important;
}

.header .btn-session:hover,
.header .btn-session:focus:hover {
  color: var(--contrast-color);
  background: color-mix(in srgb, var(--accent-color), transparent 15%);
}

.notification {
  position: absolute;
  background-color: #fb523d;
  color: #ffffff;
  opacity: 0;
  position: absolute;
  right: -10px !important;
  top: -10px !important;
  min-width: 18px;
  height: 18px;
  border-radius: 9px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 10px;
  transition: 0.3s;
}

.footer {
  background-image: url("assets/img/logo/pattern\ white.png");
  background-repeat: no-repeat;
}

.index-page.scrolled .header .notification {
  background-color: var(--default-color);
  color: #ffffff;
}

.cart-quantity,
.cart-quantity-small {
  border: solid 1px var(--accent-color);
  border-radius: 16px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: wrap;
}

.cart-quantity-small {
  width: 100px;
}

.cart-quantity>div,
.cart-quantity-small>div {
  text-align: center;
  align-items: center !important;
  justify-content: center !important;
  padding: 4px;
}

.cart-quantity>div>i::before,
.cart-quantity-small>div>i::before {
  line-height: unset !important;
}

.cart-quantity>div:hover,
.cart-quantity-small>div:hover {
  background-color: color-mix(in srgb, var(--accent-color), transparent 25%);
  color: white !important;
}

.cart-quantity>div:nth-child(1),
.cart-quantity>div:nth-child(3) {
  width: 10%;
  color: var(--accent-color);
  cursor: pointer;
  transition: 0.4s;
}

.cart-quantity-small>div:nth-child(1),
.cart-quantity-small>div:nth-child(3) {
  width: 30%;
  color: var(--accent-color);
  cursor: pointer;
  transition: 0.4s;
}

.cart-quantity>div:nth-child(1),
.cart-quantity-small>div:nth-child(1) {
  border-top-left-radius: 16px;
  border-bottom-left-radius: 16px;
}

.cart-quantity-small>div:nth-child(3) {
  border-top-right-radius: 16px;
  border-bottom-right-radius: 16px;
}

.cart-quantity>input {
  width: 20%;
  border: none;
  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 0px !important;
}

.cart-quantity-small>input {
  width: 30%;
  border: none;
  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 0px !important;
}

.cart-quantity>div:nth-child(4) {
  width: 60%;
  color: white;
  background-color: var(--accent-color);
  cursor: pointer;
  border-top-right-radius: 16px;
  border-bottom-right-radius: 16px;
}

.cart-img {}

input[type=text],
input[type=email],
input[type=password],
select,
textarea {
  font-size: 14px;
  padding: 10px 15px;
  box-shadow: none;
  border-radius: 2px;
  color: var(--default-color);
  background-color: color-mix(in srgb, var(--background-color), transparent 50%);
  border-color: color-mix(in srgb, var(--default-color), transparent 80%);
}

select.form-control {
  padding: .550rem .75rem !important;
}

input[type=text]:focus,
input[type=email]:focus,
select:focus,
textarea:focus {
  border-color: var(--accent-color);
}

input[type=text]::placeholder,
input[type=email]::placeholder,
select::placeholder,
textarea::placeholder {
  color: color-mix(in srgb, var(--default-color), transparent 70%);
}

.full-width{
  width: 100%;
}

.text-size-small{
  font-size: 0.7rem;
}

/* TOAST */

#toast-content {
  position: absolute;
  color: white;
  font-size: 2rem;
  font-weight: bolder;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.toast-inner {
  position: absolute;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.toast-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  width: 100vw;
  height: 100vh;
  background-color: #0003;
  display: none;
  transition: opacity 1s ease-out;
  opacity: 0;
}

.toast-backdrop.active {
  opacity: 1;
  display: block;
}

/* TOAST */

@media (max-width: 1200px) {

  .session-buttons {
    margin: 0 10px 0 0;
  }

  .notification {
    right: 56px;
    top: -3px;
  }

  .cart-quantity,
  .cart-quantity-small {
    flex-wrap: nowrap;
  }

  .quick-cart > .ms-4 {
    margin-left: 0 !important;
  }

  .quick-cart > .me-4 {
    margin-right: 0 !important;
  }

  .cart-quantity>div:nth-child(4){
    width: 30%;
  }

  .cart-quantity>input {
    width: 50%;
  }

  .cart-quantity>div:nth-child(1), .cart-quantity>div:nth-child(3) {
    width: auto;
  }
}